Subject: [bug#53536] [PATCH v2] gnu: Include poppler-data with poppler.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 02 Feb 2022 15:16:36 +0100

Hi,

Am Mittwoch, dem 02.02.2022 um 22:35 +0900 schrieb Taiju HIGASHI:
> 
> [...]
> gimp and glimpse (without poppler-data)
> 
>   1. During the build process, gimp and glimpse will check to see if
> poppler-data
>   has been installed by pkg-config.
>   2. gimp or glimpse depend on poppler-data indirectly, and pkg-
> config
>   cannot detect poppler-data during the build process.
Assertion (2) is wrong here: gimp's configure.ac directly checks for
the existence of poppler-data.  That makes it a direct dependency as
far as I'm concerned, even if they only ever use it through poppler.

> I have also confirmed that evince can render Japanese PDFs with the
> contents of this patch.
Good to know.

> I'll add the changelog and split the commits together at the end.
Thanks.

@Leo I've heard that there's a Rust related world rebuild coming soon.
Can we tack this feature onto that?

Cheers